### Constructor

# Vips Source new_from_descriptor

#### Declaration [src]

    VipsSource*
    vips_source_new_from_descriptor (
      int descriptor
    )

#### Description [src]

Create an source attached to a file descriptor. `descriptor` is closed with `close()` when source is finalized.

#### Parameters

`descriptor`

  Type: `int`

  Read from this file descriptor.

#### Return value

Type: `VipsSource`

A new source.

The caller of the function takes ownership of the data, and is responsible for freeing it.